> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/template.md).

# Template

## Get

> Retrieve template version settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TemplateVersionSettings":{"get":{"tags":["2-Site settings//Template Version"],"summary":"Get","description":"Retrieve template version settings.","operationId":"97614d30-abf8-4ddc-a1a9-8456e4cdfe7a","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the template version settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/TemplateVersionSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"TemplateVersionSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site for template version settings</para>","format":"int32"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"<para type=\"description\">Tags</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Template Version Settings</para>\r\n<para type=\"description\"></para>"},"Tag":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">Tag ID</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">Tag name</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Tags</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify template version settings tags.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TemplateVersionSettings/Tags/{id}":{"put":{"tags":["2-Site settings//Template Version"],"summary":"Update","description":"Modify template version settings tags.","operationId":"b56b8adc-6019-4a31-9eea-94efe19d4b5f","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the template version settings tags (optional).","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"path","description":"The ID of the application settings tag to modify.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Template version settings tags.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetTemplateVersionSettingsTag"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetTemplateVersionSettingsTag":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the template version settings tags to be modified.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the Template Version Settings Tags</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
